Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1305725 - FTBFS: Depmod failure during build on ppc64le
Summary: FTBFS: Depmod failure during build on ppc64le
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: ppc64le
OS: Linux
high
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PPCTracker F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2016-02-09 01:31 UTC by Karsten Hopp
Modified: 2016-02-25 19:41 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-25 19:41:40 UTC


Attachments (Terms of Use)

Description Karsten Hopp 2016-02-09 01:31:20 UTC
Description of problem:
kernel-4.5.0-0.rc2.git0.1.fc24 fails to build on ppc64le (succeeds on ppc64):

 + depmod -b . -aeF ./System.map 4.5.0-0.rc2.git0.1.fc24.ppc64le
Depmod failure
+ '[' -s depmod.out ']'
+ echo 'Depmod failure'
+ cat depmod.out
depmod: WARNING: /builddir/build/BUILDROOT/kernel-4.5.0-0.rc2.git0.1.fc24.ppc64le/./lib/modules/4.5.0-0.rc2.git0.1.fc24.ppc64le/kernel/arch/powerpc/platforms/powernv/opal-prd.ko needs unknown symbol .TOC.
depmod: WARNING: /builddir/build/BUILDROOT/kernel-4.5.0-0.rc2.git0.1.fc24.ppc64le/./lib/modules/4.5.0-0.rc2.git0.1.fc24.ppc64le/kernel/arch/powerpc/platforms/pseries/pseries_energy.ko needs unknown symbol .TOC.
...
...



Version-Release number of selected component (if applicable):
kernel-4.5.0-0.rc2.git0.1.fc24

How reproducible:
always

Steps to Reproduce:
1. ppc-koji build --scratch f24 kernel-4.5.0-0.rc2.git0.1.fc24.src.rpm
2.
3.

Actual results:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=3124225

Expected results:


Additional info:
kernel-4.5.0-0.rc2.git3.1.fc24 fails with the same error.

Backing out the patch from https://lkml.org/lkml/2016/1/17/24  (included in patch-4.5-rc2.xz) fixes this issue

Comment 1 Peter Robinson 2016-02-09 16:06:34 UTC
Commit c153693d7eb9eeb28478aa2deaaf0b4e7b5ff5e9 was what caused this failure

https://lkml.org/lkml/2016/1/17/24

Comment 2 Karsten Hopp 2016-02-24 18:36:20 UTC
this issue had been fixed in kernel-4.5.0-0.rc3.git0.2.fc24 up to kernel-4.5.0-0.rc4.git3.1.fc24 and is now back again in kernel-4.5.0-0.rc5.git0.1.fc24:

http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=3166528

Comment 3 Peter Robinson 2016-02-25 19:41:40 UTC
Fixed with kmod-22-4.fc24 plus kernel built against it


Note You need to log in before you can comment on or make changes to this bug.